<?php
/**
 * Template part for display audio header
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Wordsmith Blog
 */

$postdateclass = (has_post_thumbnail() ? '' : ' position-static');
?>

<div class="wordsmith-blog-standard-post__thumbnail post-header">
	<?php the_post_thumbnail( 'wordsmith-blog-thumbnail-medium' );
	?> 
	<div class="wordsmith-blog-standard-post__posted-date<?php echo esc_attr( $postdateclass );?>">
		<?php wordsmith_blog_posted_on(); ?>
	</div>
</div>